> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lien Submission Attachments

> Retrieve attachments for a specific lien filing submission.

This endpoint allows you to fetch a list of attachments associated with a given lien filing submission.
The attachments provide additional documentation or evidence related to the lien filing.



## OpenAPI

````yaml /api-reference/openapi.json get /lien_submissions/{filing_id}/attachments
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /lien_submissions/{filing_id}/attachments:
    get:
      tags:
        - Lien Filing
      summary: Get Lien Submission Attachments
      description: >-
        Retrieve attachments for a specific lien filing submission.


        This endpoint allows you to fetch a list of attachments associated with
        a given lien filing submission.

        The attachments provide additional documentation or evidence related to
        the lien filing.
      operationId: >-
        get_lien_submission_attachments_lien_submissions__filing_id__attachments_get
      parameters:
        - name: filing_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Lien Filing ID
            description: The ID of the lien filing to retrieve attachments for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
          description: The ID of the lien filing to retrieve attachments for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            title: Limit
            description: The maximum number of lien filing attachments to return.
            default: 10
          description: The maximum number of lien filing attachments to return.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            description: >-
              The number of lien filing attachments to skip before starting to
              return the attachments.
            default: 0
          description: >-
            The number of lien filing attachments to skip before starting to
            return the attachments.
      responses:
        '200':
          description: The lien filing attachments.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.LienFilingAttachment'
                title: >-
                  Response Get Lien Submission Attachments Lien Submissions 
                  Filing Id  Attachments Get
        '404':
          description: The lien filing document does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: ResourceNotFound
                description: Could not locate the resource for the given URI.
                examples:
                  - code: 1
                    message: Could not locate the resource for the given URI.
                    metadata: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.LienFilingAttachment:
      description: >-
        Part of the lien filing submission response and /attachments management
        endpoints.

        This is included in the response when filing a lien with attachments or
        managing attachment files.
      properties:
        id:
          description: The unique identifier of the lien filing attachment.
          format: uuid
          title: Attachment ID
          type: string
        document_filename:
          description: >-
            The filename of the document associated with this lien filing
            attachment.
          examples:
            - lien_document.pdf
            - attachment_001.pdf
            - contract_agreement.pdf
          maxLength: 256
          title: Attachment Filename
          type: string
      required:
        - id
        - document_filename
      title: LienFilingAttachment (v1)
      type: object
    APIError:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - code
        - message
      title: APIError
      description: >-
        APIError is a Pydantic model for standardizing error responses from the
        API.


        This class is used internally by APIException for JSON serialization.

        Users should typically work with APIException directly in exception
        catalogs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````